package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GamePromoteDayVO {
    private String id;
    @ApiModelProperty(notes = "日期")
    private LocalDate dt;

    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;
    @ApiModelProperty(notes = "渠道id")
    private Long agentId;

    @ApiModelProperty(notes = "渠道名称")
    private String agentName;
    @ApiModelProperty(notes = "推广账号类型")
    private String accountType;
    @ApiModelProperty(notes = "推广账号ID")
    private String accountId;

    @ApiModelProperty(notes = "投手名")
    private String sysUserName;

    @ApiModelProperty(notes = "cp名")
    private String cpName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "游戏名")
    private String gameName;
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameType;

    @ApiModelProperty(notes = "消耗日期")
    private LocalDate costDay;

    @ApiModelProperty(notes = "投手id")
    private Long sysUserId;

    @ApiModelProperty(notes = "消耗")
    private BigDecimal cost;

    @ApiModelProperty(notes = "广告计划数量")
    private Long adPlanCount;

    @ApiModelProperty(notes = "曝光数")
    private Long viewCount;

    @ApiModelProperty(notes = "点击数")
    private Long clickCount;

    @ApiModelProperty(notes = "转化量")
    private Long convertCount;

    @ApiModelProperty(notes = "转化率（目标转化率）=转化量/点击量100%")
    private BigDecimal convertRate;

    @ApiModelProperty(notes = "平均转化成本=实际消耗/转化量")
    private BigDecimal avgConvertCost;

    @ApiModelProperty(notes = "深度转化量")
    private Long deepConvertCount;

    @ApiModelProperty(notes = "深度转化成本=实际消耗/深度转化量")
    private BigDecimal deepConvertCost;

    @ApiModelProperty(notes = "深度转化率=深度转化量/转化量100%")
    private BigDecimal deepConvertRate;

    @ApiModelProperty(notes = "千次曝光成本=实际消耗/曝光量1000")
    private BigDecimal thousandViewCost;

    @ApiModelProperty(notes = "点击率=点击量/曝光量100%")
    private BigDecimal clickRate;

    @ApiModelProperty(notes = "平均点击均价=实际消耗/点击量")
    private BigDecimal avgClickCost;

    @ApiModelProperty(notes = "应用下载量")
    private Long appDownloadCount;

    @ApiModelProperty(notes = "应用下载成本=实际消耗/安卓下载开始数")
    private BigDecimal appDownloadCost;

    @ApiModelProperty(notes = "应用下载率=安卓下载开始数/点击数")
    private BigDecimal appDownloadRate;

    @ApiModelProperty(notes = "应用下载完成量")
    private Long downloadFinish;

    @ApiModelProperty(notes = "应用安装量")
    private Long appInstallCount;

    @ApiModelProperty(notes = "应用安装成本=实际消耗/安卓安装完成数")
    private BigDecimal appInstallCost;

    @ApiModelProperty(notes = "应用安装率=安卓安装完成数/安卓下载完成数")
    private BigDecimal appInstallRate;

    @ApiModelProperty(notes = "应用下载完成成本=实际消耗/安卓下载完成数")
    private BigDecimal downloadFinishCost;

    @ApiModelProperty(notes = "应用下载完成率=安卓下载完成数/安卓下载开始数")
    private BigDecimal downloadFinishRate;

    @ApiModelProperty(notes = "应用激活数")
    private Long appActiveCount;

    @ApiModelProperty(notes = "应用激活成本=实际消耗/激活数")
    private BigDecimal appActiveCost;

    @ApiModelProperty(notes = "应用激活率=激活数/点击数100%")
    private BigDecimal appActiveRate;

    @ApiModelProperty(notes = "注册人数")
    private Long regUserCount;

    @ApiModelProperty(notes = "注册成本=实际消耗/注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(notes = "首日新用户充值次数")
    private Long firstUserRechargeCount;

    @ApiModelProperty(notes = "首日新用户充值人数")
    private Long firstUserRechargeUser;

    @ApiModelProperty(notes = "首日新用户充值金额")
    private BigDecimal firstUserRechargeMoney;

    @ApiModelProperty(notes = "老用户充值次数")
    private Long oldUserRechargeCount;

    @ApiModelProperty(notes = "老用户充值人数")
    private Long oldUserRechargeUser;

    @ApiModelProperty(notes = "老用户充值金额")
    private BigDecimal oldUserRechargeMoney;

    @ApiModelProperty(notes = "老用户充值次数成本 = 消耗/老用户充值次数")
    private BigDecimal oldUserRechargeCountCost;

    @ApiModelProperty(notes = "账面充值次数")
    private Long showRechargeCount;

    @ApiModelProperty(notes = "账面充值人数")
    private Long showRechargeUser;

    @ApiModelProperty(notes = "账面充值金额")
    private BigDecimal showRechargeMoney;

    @ApiModelProperty(notes = "账面充值次数成本=消耗/账面充值次数")
    private BigDecimal showRechargeCountCost;

    @ApiModelProperty(notes = "新用户累计充值次数")
    private Long newUserRechargeCount;

    @ApiModelProperty(notes = "新用户累计充值人数")
    private Long newUserRechargeUser;

    @ApiModelProperty(notes = "新用户累计充值金额")
    private BigDecimal newUserRechargeMoney;

    @ApiModelProperty(notes = "新用户累计充值次数成本 = 消耗/新用户累计充值次数")
    private BigDecimal newUserRechargeCountCost;

    @ApiModelProperty(notes = "首日ROI=首日新用户充值金额/实际消耗")
    private BigDecimal firstRecoveryRate;

    @ApiModelProperty(notes = "当日回收率=新用户累计充值金额/实际消耗")
    private BigDecimal todayRecoveryRate;

    @ApiModelProperty(notes = "买量回收率=新用户累计充值金额/实际消耗")
    private BigDecimal buyRecoveryRate;

    @ApiModelProperty(notes = "毛利额=新用户累计充值金额-实际消耗")
    private BigDecimal grossMargin;

    @ApiModelProperty(notes = "3日ROI=新用户3日累计充值金额/实际消耗")
    private BigDecimal roiDay3;

    @ApiModelProperty(notes = "5日ROI=新用户5日累计充值金额/实际消耗")
    private BigDecimal roiDay5;

    @ApiModelProperty(notes = "7日ROI=新用户7日累计充值金额/实际消耗")
    private BigDecimal roiDay7;

    @ApiModelProperty(notes = "15日ROI=新用户15日累计充值金额/实际消耗")
    private BigDecimal roiDay15;

    @ApiModelProperty(notes = "30日ROI=新用户30日累计充值金额/实际消耗")
    private BigDecimal roiDay30;

    @ApiModelProperty(notes = "60日ROI=新用户60日累计充值金额/实际消耗")
    private BigDecimal roiDay60;

    @ApiModelProperty(notes = "180日ROI=新用户180日累计充值金额/实际消耗")
    private BigDecimal roiDay180;

    @ApiModelProperty(notes = "一年ROI=新用户一年累计充值金额/实际消耗")
    private BigDecimal roiYear1;

    @ApiModelProperty(notes = "首日付费率=首日新用户充值人数/注册人数")
    private BigDecimal firstRechargeRate;

    @ApiModelProperty(notes = "买量用户付费率=新用户累计充值人数/注册人数")
    private BigDecimal buyUserRechargeRate;

    @ApiModelProperty(notes = "新用户付费比=首日新用户充值人数/账面充值人数")
    private BigDecimal newUserRechargeRate;

    @ApiModelProperty(notes = "首日客单价=首日新用户充值金额/首日新用户充值次数")
    private BigDecimal avgFirstUserRecharge;

    @ApiModelProperty(notes = "买量客单价=新用户累计充值金额/新用户累计充值次数")
    private BigDecimal avgBuyUserRecharge;

    @ApiModelProperty(notes = "账面客单价=账面充值金额/账面充值次数")
    private BigDecimal avgShowUserRecharge;

    @ApiModelProperty(notes = "首日充值成本=实际消耗/首日新用户充值人数")
    private BigDecimal firstRechargeCost;

    @ApiModelProperty(notes = "首日充值次数成本=实际消耗/首日新用户充值次数")
    private BigDecimal firstRechargeCountCost;

    @ApiModelProperty(notes = "买量充值成本=实际消耗/新用户累计充值人数")
    private BigDecimal buyUserRechargeCost;

    @ApiModelProperty(notes = "复充率=新用户复充人数/新用户累计充值人数")
    private BigDecimal repeatRechargeRate;

    @ApiModelProperty(notes = "新增注册Arpu=新用户累计充值金额/注册人数")
    private BigDecimal newRegArpu;

    @ApiModelProperty(notes = "首日付费Arpu=首日新用户充值金额/首日新用户充值人数")
    private BigDecimal firstRechargeArpu;

    @ApiModelProperty(notes = "当天付费Arpu=新用户累计充值金额/新用户累计充值人数")
    private BigDecimal todayRechargeArpu;

    @ApiModelProperty(notes = "账面Arpu=账面充值金额/账面充值人数")
    private BigDecimal showRechargeArpu;

    @ApiModelProperty(notes = "不展示--付费趋势：1天")
    private String trendDay1;

    @ApiModelProperty(notes = "不展示--付费趋势：3天")
    private String trendDay3;

    @ApiModelProperty(notes = "不展示--付费趋势：5天")
    private String trendDay5;

    @ApiModelProperty(notes = "不展示--付费趋势：7天")
    private String trendDay7;

    @ApiModelProperty(notes = "不展示--付费趋势：15天")
    private String trendDay15;

    @ApiModelProperty(notes = "不展示--付费趋势：1个月")
    private String trendMonth1;

    @ApiModelProperty(notes = "不展示--付费趋势：2个月")
    private String trendMonth2;

    @ApiModelProperty(notes = "不展示--付费趋势：3个月")
    private String trendMonth3;

    @ApiModelProperty(notes = "不展示--付费趋势：6个月")
    private String trendMonth6;

    @ApiModelProperty(notes = "不展示--付费趋势：总")
    private String trendTotal;

    @ApiModelProperty(notes = "付费趋势：1天")
    private RechargeTrendVO rechargeTrendDay1;

    @ApiModelProperty(notes = "付费趋势：3天")
    private RechargeTrendVO rechargeTrendDay3;

    @ApiModelProperty(notes = "付费趋势：5天")
    private RechargeTrendVO rechargeTrendDay5;

    @ApiModelProperty(notes = "付费趋势：7天")
    private RechargeTrendVO rechargeTrendDay7;

    @ApiModelProperty(notes = "付费趋势：15天")
    private RechargeTrendVO rechargeTrendDay15;

    @ApiModelProperty(notes = "付费趋势：1个月")
    private RechargeTrendVO rechargeTrendMonth1;

    @ApiModelProperty(notes = "付费趋势：2个月")
    private RechargeTrendVO rechargeTrendMonth2;

    @ApiModelProperty(notes = "付费趋势：3个月")
    private RechargeTrendVO rechargeTrendMonth3;

    @ApiModelProperty(notes = "付费趋势：6个月")
    private RechargeTrendVO rechargeTrendMonth6;

    @ApiModelProperty(notes = "付费趋势：总")
    private RechargeTrendVO rechargeTrendTotal;

    @ApiModelProperty(notes = "单日付费100+人数")
    private String hundredUserNum;

    @ApiModelProperty(notes = "单日付费100+成本")
    private String hundredUserNumCost;
}
